<script>
	import Container from "@/components/container.svelte"
	import Card from "@/components/CarCard.svelte"

	import { t } from "@/i18n"
	import { page } from "$app/stores"

	$: cars = $page.data.popular
</script>

<div class="recomended">
	<Container>
		<div class="title">
			<h2>{$t("heading.popular")}</h2>
		</div>
		<div class="columns is-flex is-multiline">
			{#each cars as car}
				<div class="column is-3-widescreen is-4-desktop is-6-tablet is-12-mobile">
					<Card {car} />
				</div>
			{/each}
		</div>
	</Container>
</div>

<style lang="scss"></style>